info.bioinfweb.jphyloio.exception

## Class JPhyloIOReaderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - info.bioinfweb.jphyloio.exception.JPhyloIOReaderException

- All Implemented Interfaces:
    StreamLocationProvider, java.io.Serializable
  Direct Known Subclasses:
    UnsupportedFormatFeatureException

      public class JPhyloIOReaderException
      extends java.io.IOException
      implements StreamLocationProvider

  Exception thrown by implementations of `JPhyloIOEventReader`, if an error during reading occurs. The exception can be used directly to indicate an error or to wrap another exception (e.g. an `XMLStreamException`.
  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPhyloIOReaderException(java.lang.String message, javax.xml.stream.Location location)`
    `JPhyloIOReaderException(java.lang.String message, javax.xml.stream.Location location, java.lang.Throwable cause)`
    `JPhyloIOReaderException(java.lang.String message, long characterOffset, long lineNumber, long columnNumber)`
    `JPhyloIOReaderException(java.lang.String message, long characterOffset, long lineNumber, long columnNumber, java.lang.Throwable cause)`
    `JPhyloIOReaderException(java.lang.String message, StreamLocationProvider location)`
    `JPhyloIOReaderException(java.lang.String message, StreamLocationProvider location, java.lang.Throwable cause)`
    `JPhyloIOReaderException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCharacterOffset()` Returns the index of the character in the underlying data source, where the error occurred.
    `long` | `getColumnNumber()` Returns the index of the column in the underlying data source, where the error occurred.
    `long` | `getLineNumber()` Returns the index of the line in the underlying data source, where the error occurred.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         long characterOffset,
                                         long lineNumber,
                                         long columnNumber,
                                         java.lang.Throwable cause)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         java.lang.Throwable cause)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         long characterOffset,
                                         long lineNumber,
                                         long columnNumber)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         javax.xml.stream.Location location,
                                         java.lang.Throwable cause)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         javax.xml.stream.Location location)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         StreamLocationProvider location,
                                         java.lang.Throwable cause)

    - #### JPhyloIOReaderException

          public JPhyloIOReaderException(java.lang.String message,
                                         StreamLocationProvider location)

  - ### Method Detail

    - #### getCharacterOffset

          public long getCharacterOffset()

      Returns the index of the character in the underlying data source, where the error occurred. The first character in the stream would have the index 0.
      Specified by:
        `getCharacterOffset` in interface `StreamLocationProvider`
      Returns:
        the character index or -1 if the index is unknown

    - #### getLineNumber

          public long getLineNumber()

      Returns the index of the line in the underlying data source, where the error occurred. The first line would have the index 0.
      Specified by:
        `getLineNumber` in interface `StreamLocationProvider`
      Returns:
        the line index or -1 if the index is unknown

    - #### getColumnNumber

          public long getColumnNumber()

      Returns the index of the column in the underlying data source, where the error occurred. The first column in each line would have the index 0.
      Specified by:
        `getColumnNumber` in interface `StreamLocationProvider`
      Returns:
        the column index or -1 if the index is unknown